# ext.rb

Path: | lib/chef/shef/ext.rb
Last Update: | Tue Dec 06 18:23:51 +0000 2011

### Required files

tempfile chef/recipe fileutils chef/version chef/shef/shef_session chef/shef/model_wrapper chef/shef/shef_rest chef/json_compat

### Methods

api clients cookbooks databags edit nodes roles

### Constants

RESTApiExtensions | = | Proc.new do desc "edit an object in your EDITOR"

### Public Instance methods

api()
clients()
cookbooks()
databags(databag_name)
edit(object)
nodes()
roles()

[Validate]